# $Revision: 1.9 $, $Date: 2010/07/08 08:51:11 $
Summary:	Simple event system
Summary(pl.UTF-8):	Prosty system zdarzeń
Name:		Zope-Event
Version:	3.4.1
Release:	2
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.event/zope.event-%{version}.tar.gz
# Source0-md5:	dedf8ec89b7852745accbee4aa5110e2
URL:		http://www.zope.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The zope.event package provides a simple event system. It provides:
- an event publishing system
- a very simple event-dispatching system on which more sophisticated
  event dispatching systems can be built. (For example, a type-based
  event dispatching system that builds on zope.event can be found in
  zope.component)

%description -l pl.UTF-8
Pakiet zope.event udostępnia prosty system zdarzeń. Zawiera:
- system publikacji zdarzeń
- bardzo prosty system przekazywania zdarzeń, w oparciu o który można
  stworzyć bardziej wyszukane systemy przekazywania zdarzeń (na
  przykład system przekazywania zdarzeń oparty na typach, zbudowany w
  oparciu o zope.event, można znaleźć w zope.component)

%prep
%setup -q -n zope.event-%{version}

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--install-purelib=%{py_sitedir} \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/zope/event
%{py_sitedir}/zope.event-*.egg-info
%{py_sitedir}/zope.event-*-nspkg.pth

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-Event.spec,v $
Revision 1.9  2010/07/08 08:51:11  arekm
- release 2

Revision 1.8  2009/06/03 07:02:34  amateja
- updated to 3.4.1

Revision 1.7  2008/12/09 03:33:51  wrobell
- use pypi uri
- rel. 4

Revision 1.6  2008/11/16 15:29:10  wrobell
- rel. 3

Revision 1.5  2008/03/04 22:35:58  qboosh
- py_sitedir is not noarch

Revision 1.4  2008-03-04 22:20:24  wrobell
- moved to py_sitedir
- rel. 2

Revision 1.3  2008-01-04 22:27:29  qboosh
- pl
- python deps
- noarch

Revision 1.2  2007-09-12 22:24:46  wrobell
- fixed summary/description/license
- rel. 1

Revision 1.1  2007/09/10 00:08:11  wrobell
- based on Zope-Component.spec

Revision 1.1  2007/09/10 00:03:21  wrobell
- based on Zope-Testing.spec
